%define upstream_name    YAML-LibYAML
%define upstream_version v0.903.0

# Avoid provides for perl shared objects
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    An XS Wrapper Module of libyaml
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/YAML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Deparse)
BuildRequires: perl(Devel::Peek)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(FindBin)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Pipe)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.900.0
BuildRequires: perl(Tie::Array)
BuildRequires: perl(Tie::Hash)
BuildRequires: perl(base)
BuildRequires: perl(blib)
BuildRequires: perl(constant)
BuildRequires: perl(if)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
Kirill Siminov's 'libyaml' is arguably the best YAML implementation. The C
library is written precisely to the YAML 1.1 specification. It was
originally bound to Python and was later bound to Ruby.

This module is a Perl XS binding to libyaml which offers Perl the best YAML
support to date.

This module exports the functions 'Dump' and 'Load'. These functions are
intended to work exactly like 'YAML.pm''s corresponding functions.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/*

%changelog
* Wed Feb 05 2025 tv <tv> 0.903.0-1.mga10
+ Revision: 2145349
- update to v0.903.0

* Tue Sep 24 2024 tv <tv> 0.902.0-1.mga10
+ Revision: 2100838
- update to v0.902.0

* Thu Sep 12 2024 tv <tv> 0.901.0-1.mga10
+ Revision: 2095248
- update to v0.901.0

* Thu Aug 22 2024 neoclust <neoclust> 0.890.0-2.mga10
+ Revision: 2088275
- Rebuild against new perl

* Sat Jan 27 2024 tv <tv> 0.890.0-1.mga10
+ Revision: 2035356
- update to 0.89

* Thu Nov 30 2023 tv <tv> 0.880.0-2.mga10
+ Revision: 2011580
- Rebuild for perl-5.38

* Tue Aug 29 2023 tv <tv> 0.880.0-1.mga10
+ Revision: 1981041
- update to 0.88

* Fri Feb 03 2023 tv <tv> 0.860.0-1.mga9
+ Revision: 1937855
- update to 0.86

* Wed Sep 14 2022 tv <tv> 0.850.0-1.mga9
+ Revision: 1888130
- update to 0.85

* Mon Sep 05 2022 tv <tv> 0.840.0-1.mga9
+ Revision: 1884084
- update to 0.84

* Tue Jun 07 2022 umeabot <umeabot> 0.830.0-4.mga9
+ Revision: 1862622
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.830.0-3.mga9
+ Revision: 1796199
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.830.0-2.mga9
+ Revision: 1727331
- Rebuild for perl 5.34

* Wed May 12 2021 tv <tv> 0.830.0-1.mga9
+ Revision: 1722595
- update to 0.83

* Wed Jun 17 2020 umeabot <umeabot> 0.820.0-2.mga8
+ Revision: 1595314
- Rebuild for perl 5.32

* Sun May 03 2020 tv <tv> 0.820.0-1.mga8
+ Revision: 1578009
- update to 0.82

* Thu Feb 20 2020 umeabot <umeabot> 0.810.0-2.mga8
+ Revision: 1545298
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 tv <tv> 0.810.0-1.mga8
+ Revision: 1484385
- update to 0.81

* Mon Aug 26 2019 tv <tv> 0.800.0-2.mga8
+ Revision: 1432699
- rebuild with perl-5.30

* Sun Aug 25 2019 tv <tv> 0.800.0-1.mga8
+ Revision: 1431988
- update to 0.80

* Sat Jun 29 2019 shlomif <shlomif> 0.790.0-1.mga8
+ Revision: 1415882
- update to 0.79

* Wed Apr 17 2019 shlomif <shlomif> 0.770.0-1.mga7
+ Revision: 1392502
- update to 0.77

* Sun Dec 30 2018 tv <tv> 0.760.0-1.mga7
+ Revision: 1347279
- new release (fix translations)

* Sun Nov 04 2018 tv <tv> 0.750.0-1.mga7
+ Revision: 1328110
- update to 0.75

* Fri Sep 21 2018 umeabot <umeabot> 0.740.0-2.mga7
+ Revision: 1294073
- Mageia 7 Mass Rebuild

* Sat Sep 01 2018 tv <tv> 0.740.0-1.mga7
+ Revision: 1256121
- update to 0.74

* Sun Aug 05 2018 shlomif <shlomif> 0.720.0-2.mga7
+ Revision: 1247959
- Rebuild for new perl

* Thu Jul 12 2018 tv <tv> 0.720.0-1.mga7
+ Revision: 1243141
- update to 0.72

* Sun Jun 10 2018 tv <tv> 0.700.0-1.mga7
+ Revision: 1236113
- update to 0.70

* Wed Dec 27 2017 tv <tv> 0.690.0-1.mga7
+ Revision: 1185811
- update to 0.69

* Sun Dec 24 2017 tv <tv> 0.680.0-1.mga7
+ Revision: 1184410
- update to 0.68

* Thu Nov 16 2017 tv <tv> 0.670.0-1.mga7
+ Revision: 1177514
- update to 0.67

* Tue Oct 03 2017 tv <tv> 0.660.0-2.mga7
+ Revision: 1167468
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 0.660.0-1.mga7
+ Revision: 1155772
- update to 0.66

* Thu Aug 31 2017 pterjan <pterjan> 0.650.0-2.mga7
+ Revision: 1149440
- Rebuild for perl ABI changes

* Sat Jul 22 2017 shlomif <shlomif> 0.650.0-1.mga7
+ Revision: 1127914
- New version 0.65 + spec modernize

* Sat Jul 22 2017 neoclust <neoclust> 0.620.0-3.mga7
+ Revision: 1127513
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.620.0-2.mga6
+ Revision: 1036181
- Rebuild for perl 5.22.2

* Thu Feb 25 2016 shlomif <shlomif> 0.620.0-1.mga6
+ Revision: 978853
- update to 0.62

* Fri Feb 12 2016 umeabot <umeabot> 0.600.0-2.mga6
+ Revision: 958264
- Mageia 6 Mass Rebuild

* Wed Feb 10 2016 shlomif <shlomif> 0.600.0-1.mga6
+ Revision: 953375
- update to 0.60

* Fri Jun 26 2015 tv <tv> 0.590.0-3.mga6
+ Revision: 845585
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 0.590.0-2.mga6
+ Revision: 840549
- Rebuild for new perl

* Mon Jun 22 2015 sander85 <sander85> 0.590.0-1.mga6
+ Revision: 839226
- update to 0.59

* Tue Dec 02 2014 sander85 <sander85> 0.540.0-1.mga5
+ Revision: 800412
- update to 0.54

* Sun Oct 19 2014 umeabot <umeabot> 0.520.0-5.mga5
+ Revision: 788946
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.520.0-4.mga5
+ Revision: 742863
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.520.0-3.mga5
+ Revision: 731918
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.520.0-2.mga5
+ Revision: 686990
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 sander85 <sander85> 0.520.0-1.mga5
+ Revision: 666844
- update to 0.52

* Sun Aug 17 2014 sander85 <sander85> 0.510.0-1.mga5
+ Revision: 664648
- update to 0.51

* Sat Aug 16 2014 sander85 <sander85> 0.490.0-2.mga5
+ Revision: 664292
- update to 0.49

* Sun Aug 10 2014 sander85 <sander85> 0.470.0-1.mga5
+ Revision: 661459
- update to 0.47

* Thu Aug 07 2014 sander85 <sander85> 0.460.0-1.mga5
+ Revision: 660493
- update to 0.46

* Tue Aug 05 2014 sander85 <sander85> 0.450.0-1.mga5
+ Revision: 659831
- update to 0.45

* Tue Jul 15 2014 sander85 <sander85> 0.440.0-1.mga5
+ Revision: 652991
- update to 0.44

* Tue Jun 03 2014 pterjan <pterjan> 0.410.0-5.mga5
+ Revision: 631898
- Rebuild for perl 5.20

* Mon Mar 31 2014 jquelin <jquelin> 0.410.0-4.mga5
+ Revision: 610874
- fix CVE-2014-2525 (mga#12984)

* Tue Mar 11 2014 jquelin <jquelin> 0.410.0-3.mga5
+ Revision: 602067
- fixing CVE-2013-6393 (mga#12984)

* Sat Oct 19 2013 umeabot <umeabot> 0.410.0-2.mga4
+ Revision: 525999
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 kharec <kharec> 0.410.0-1.mga4
+ Revision: 435136
- update to 0.41

* Wed May 29 2013 jquelin <jquelin> 0.380.0-4.mga4
+ Revision: 431017
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.380.0-3.mga3
+ Revision: 375305
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.380.0-2.mga3
+ Revision: 251354
- rebuild for perl 5.16

* Thu Jan 05 2012 jquelin <jquelin> 0.380.0-1.mga2
+ Revision: 191350
- update to 0.38

* Thu Oct 13 2011 jquelin <jquelin> 0.370.0-1.mga2
+ Revision: 154512
- update to 0.37

* Sun Jun 12 2011 sander85 <sander85> 0.350.0-2.mga2
+ Revision: 105151
- Rebuild for perl 5.14

* Fri Apr 08 2011 jquelin <jquelin> 0.350.0-1.mga1
+ Revision: 82078
- update to 0.35

* Sat Jan 22 2011 jquelin <jquelin> 0.340.0-1.mga1
+ Revision: 31507
- mageia rebuild
- imported package perl-YAML-LibYAML

